#ifndef SNEeSe_timers_h
#define SNEeSe_timers_h

#include "misc.h"

#ifdef DEBUG
EXTERN volatile unsigned long Timer_Counter_Profile,
 CPU_Profile_Last, CPU_Profile_Test,
 SPC_Profile_Last, SPC_Profile_Test,
 GFX_Profile_Last, GFX_Profile_Test;

/*
EXTERN volatile unsigned long Timer_Counter_FPS = 0;
 */
#endif

EXTERN volatile unsigned FPSTicks;
EXTERN volatile unsigned Timer_Counter_Throttle;

EXTERN void timers_init();
EXTERN void timers_enable(unsigned long throttle_time);
EXTERN void timers_disable();
EXTERN void timers_shutdown();

#endif /* !SNEeSe_timers_h */
