; 65c816 opcodes 0xE0-0xEF:
;    E0: CPX #       2,2
;    E1: SBC (d,x)   2,6
;    E2: SEP #       2,3
;    E3: SBC d,s     2,4
;    E4: CPX d       2,3
;    E5: SBC d       2,3
;    E6: INC d       2,5
;    E7: SBC [d]     2,6
;    E8: INX i       1,2
;    E9: SBC #       2,2
;    EA: NOP i       1,2
;    EB: XBA i       1,3
;    EC: CPX a       3,4
;    ED: SBC a       3,4
;    EE: INC a       3,6
;    EF: SBC al      4,5

; E0
EX_CPX i,Immediate
E0_CPX i,Immediate

; E1
EM_SBC Od_xO,Direct_Indexed_Indirect
E0_SBC Od_xO,Direct_Indexed_Indirect

; E2

ALIGNC
E0_SEP:
 E0_SETUPFLAGS
 mov ah,[1+R_NativePC]
 or al,ah
 E0_RESTOREFLAGS

 add R_NativePC,byte 2

 SET_TABLE_MX

ALIGNC
E1_SEP:
 E1_SETUPFLAGS
 mov ah,[1+R_NativePC]
 or al,ah
 E1_RESTOREFLAGS

 add R_NativePC,byte 2

 jmp near CPU_RETURN

; E3
EM_SBC d_s,Stack_Relative
E0_SBC d_s,Stack_Relative

; E4
EX_CPX d,Direct
E0_CPX d,Direct

; E5
EM_SBC d,Direct
E0_SBC d,Direct

; E6
EM_INC d,Direct
E0_INC d,Direct

; E7
EM_SBC IdI,Direct_Indirect_Long
E0_SBC IdI,Direct_Indirect_Long

; E8

ALIGNC
EX_INX:
 inc R_NativePC
 inc byte B_X
 STORE_FLAGS SNES_FLAG_NZ
 jmp near CPU_RETURN
ALIGNC
E0_INX:
 inc R_NativePC
 inc word B_X
 STORE_FLAGS SNES_FLAG_NZ
 jmp near CPU_RETURN

; E9
EM_SBC i,Immediate
E0_SBC i,Immediate

; EA

ALIGNC
ALL_NOP:
 inc R_NativePC
 jmp near CPU_RETURN

; EB

ALIGNC
ALL_XBA:
 mov eax,B_A
 xchg ah,al
 inc R_NativePC
 mov B_A,eax
 test al,al
 STORE_FLAGS SNES_FLAG_NZ
 jmp near CPU_RETURN

; EC
EX_CPX a,Absolute
E0_CPX a,Absolute

; ED
EM_SBC a,Absolute
E0_SBC a,Absolute

; EE
EM_INC a,Absolute
E0_INC a,Absolute

; EF
EM_SBC al,Absolute_Long
E0_SBC al,Absolute_Long
